Loading...
Searching...
No Matches
signal.h File Reference

Signal & slot implementation. More...

`#include <functional>`
`#include <list>`
`#include <type_traits>`
`#include <libcamera/base/bound_method.h>`
Include dependency graph for signal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::Signal< Args >
| Generic signal and slot communication mechanism. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

Signal & slot implementation.